Package org.springframework.aop.target

# Interface ThreadLocalTargetSourceStats

All Known Implementing Classes:
  `ThreadLocalTargetSource`

public interface ThreadLocalTargetSourceStats
Statistics for a ThreadLocal TargetSource.

Author:
  Rod Johnson, Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`int`
`getHitCount()`
Return the number of hits that were satisfied by a thread-bound object.
`int`
`getInvocationCount()`
Return the number of client invocations.
`int`
`getObjectCount()`
Return the number of thread-bound objects created.

## Method Details

### getInvocationCount

int getInvocationCount()
Return the number of client invocations.

### getHitCount

int getHitCount()
Return the number of hits that were satisfied by a thread-bound object.

### getObjectCount

int getObjectCount()
Return the number of thread-bound objects created.